## erlang-poolboy 1.5.2+dfsg

=== Makefile ===
REBAR = $(shell command -v rebar3 || echo ./rebar3)

.PHONY: all compile test qc clean

all: compile

compile:
	@$(REBAR) compile

test:
	@$(REBAR) eunit

qc: compile
	@$(REBAR) eqc

clean:
	@$(REBAR) clean

dialyze:
	@$(REBAR) dialyzer

=== debian/changelog ===
erlang-poolboy (1.5.2+dfsg-2) unstable; urgency=medium

  * Release for migration to testing

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 11 Dec 2021 08:19:52 -0500

erlang-poolboy (1.5.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #992967)

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 25 Aug 2021 10:58:57 -0400

=== debian/control ===
Source: erlang-poolboy
Section: devel
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: James Valleroy <jvalleroy@mailbox.org>
Build-Depends: debhelper-compat (= 13), dh-rebar
Standards-Version: 4.6.0
Homepage: https://github.com/devinus/poolboy
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-poolboy
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-poolboy.git
Rules-Requires-Root: no

Package: erlang-poolboy
Architecture: all
Depends: ${misc:Depends}
Description: Erlang worker pool factory
 A lightweight, generic pooling library for Erlang with a focus on
 simplicity, performance, and rock-solid disaster recovery.

=== debian/tests/control ===
Test-Command: rebar eunit
Depends: rebar, @

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%erlang-poolboy-$1.tar.gz%, dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
   https://github.com/devinus/poolboy/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
